- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

# D:/Basile/VisualCppProjects/hydroMEX3/hydroMEX3/hydro_source/analytics_geo.cpp File Reference

`#include "math.h"`
`#include "mex.h"`
`#include "string.h"`
`#include "Datas.h"`
`#include "dataFillings.h"`
`#include "analytics_geo.h"`

Include dependency graph for analytics_geo.cpp:

Go to the source code of this file.

## Defines
#define | pi 3.141592653589793
## Functions
void | EE_flat_compute (datas *d)
void | equ_compute (datas *d)
void | angles_compute (datas *d)
void | forces_all_compute (datas *d)
void | forces_compute (datas *d)

## Define Documentation

#define PI 3.141592653589793

| Definition at line 11 of file analytics_geo.cpp.

#define pi 3.141592653589793

| Definition at line 10 of file analytics_geo.cpp.

## Function Documentation

void angles_compute | ( | datas * | d | ) |

| Definition at line 90 of file analytics_geo.cpp. References datas::alpha_left, datas::alpha_right, datas::Baume, datas::Chord_max, datas::Chord_min, datas::dphi, datas::dpsi, datas::dtheta, datas::dx, datas::dy, datas::dz, datas::E_foils, datas::E_yaw, datas::EE_left, datas::EE_right, datas::EE_yaw, datas::phi, datas::psi, datas::Tan_AoA_left, datas::Tan_AoA_pitch, datas::Tan_AoA_right, datas::Tan_AoA_sail, datas::Tan_AoA_yaw, datas::tanAngle_sail, datas::tanCal_left, datas::tanCal_pitch, datas::tanCal_right, datas::tanCal_yaw, datas::theta, datas::Wind_x, datas::Wind_y, datas::x_foils, datas::x_pitch, datas::x_sail, datas::x_yaw, datas::y_foil_left, datas::y_foil_right, datas::y_pitch, datas::y_sail, datas::y_yaw, datas::z_foils, datas::z_pitch, datas::z_sail, and datas::z_yaw.

void EE_flat_compute | ( | datas * | d | ) |

| Definition at line 17 of file analytics_geo.cpp. References datas::alpha_left, datas::alpha_right, datas::EE_left_flat, datas::EE_right_flat, datas::EE_yaw_flat, datas::phi, datas::psi, datas::theta, datas::x_foils, datas::x_yaw, datas::y_foil_left, datas::y_foil_right, datas::y_yaw, datas::z, datas::z_foils, and datas::z_yaw. Referenced by compute_state_dot().

void equ_compute | ( | datas * | d | ) |

| Definition at line 40 of file analytics_geo.cpp. References datas::alpha_left, datas::alpha_right, datas::dEqu_left, datas::dEqu_right, datas::dEqu_yaw, datas::EE_left, datas::EE_right, datas::EE_yaw, datas::Equ_left, datas::Equ_right, datas::Equ_yaw, datas::Lambda0, datas::Lambda1, datas::Lambda2, datas::phi, datas::psi, datas::t, datas::theta, datas::V_wave0, datas::V_wave1, datas::V_wave2, datas::Wave_amp0, datas::Wave_amp1, datas::Wave_amp2, datas::Wave_angle0, datas::Wave_angle1, datas::Wave_angle2, datas::x, datas::x_foils, datas::x_yaw, datas::y, datas::y_foil_left, datas::y_foil_right, datas::y_yaw, datas::z, datas::z_foils, and datas::z_yaw. Referenced by compute_state_dot().

void forces_all_compute | ( | datas * | d | ) |

| Definition at line 126 of file analytics_geo.cpp. References datas::A_left, datas::A_pitch, datas::A_right, datas::A_sail, datas::A_structure, datas::A_yaw, datas::alpha_left, datas::alpha_right, datas::Baume, datas::CD_left, datas::CD_pitch, datas::CD_right, datas::CD_sail, datas::CD_structure, datas::CD_yaw, datas::Chord_max, datas::Chord_min, datas::CL_left, datas::CL_pitch, datas::CL_right, datas::CL_sail, datas::CL_yaw, datas::dphi, datas::dpsi, datas::dtheta, datas::dx, datas::dy, datas::dz, datas::E_foils, datas::E_yaw, datas::EE_left, datas::EE_right, datas::EE_yaw, datas::Force_drag, datas::Force_left, datas::Force_pitch, datas::Force_right, datas::Force_sail, datas::Force_yaw, datas::phi, datas::psi, datas::rho, datas::rho_air, datas::tanAngle_sail, datas::theta, datas::Wind_x, datas::Wind_y, datas::x_foils, datas::x_pitch, datas::x_sail, datas::x_yaw, datas::y_foil_left, datas::y_foil_right, datas::y_pitch, datas::y_sail, datas::y_yaw, datas::z_foils, datas::z_pitch, datas::z_sail, and datas::z_yaw.

void forces_compute | ( | datas * | d | ) |

| Definition at line 211 of file analytics_geo.cpp. References datas::A_left, datas::A_pitch, datas::A_right, datas::A_sail, datas::A_structure, datas::A_yaw, datas::alpha_left, datas::alpha_right, datas::Baume, datas::CD_left, datas::CD_pitch, datas::CD_right, datas::CD_sail, datas::CD_structure, datas::CD_yaw, datas::Chord_max, datas::Chord_min, datas::CL_left, datas::CL_pitch, datas::CL_right, datas::CL_sail, datas::CL_yaw, datas::dphi, datas::dpsi, datas::dtheta, datas::dx, datas::dy, datas::dz, datas::E_foils, datas::E_yaw, datas::EE_left, datas::EE_right, datas::EE_yaw, datas::Force_G_E1, datas::Force_G_E2, datas::Force_G_E3, datas::phi, datas::psi, datas::rho, datas::rho_air, datas::tanAngle_sail, datas::theta, datas::Torque_G_E1, datas::Torque_G_E2, datas::Torque_G_E3, datas::Wind_x, datas::Wind_y, datas::x_foils, datas::x_pitch, datas::x_sail, datas::x_yaw, datas::y_foil_left, datas::y_foil_right, datas::y_pitch, datas::y_sail, datas::y_yaw, datas::z_foils, datas::z_pitch, datas::z_sail, and datas::z_yaw.